import React from 'react';
import { JsonFormsRendererRegistryEntry, JsonFormsState, JsonSchema, RendererProps, UISchemaElement } from '@jsonforms/core';
import { JsonFormsStateContext } from '@jsonforms/react';
export interface extendedLayoutRendererProps extends RendererProps {
    data?: any;
    elements: JSX.Element[];
    enabled: boolean;
    label?: string | undefined;
    layout: any;
    removeItem?: (path: string, value: number) => () => void;
}
export declare const SpectrumMediaPreview: React.MemoExoticComponent<({ data, elements, enabled, label, layout, path, removeItem, renderers, schema, uischema, visible, }: extendedLayoutRendererProps) => JSX.Element>;
export interface OwnPropsOfSpectrumArrayModalItem {
    childData?: any;
    childLabel?: string | undefined;
    data?: any;
    elements: any;
    enabled: boolean;
    index: number;
    keyNumber?: number;
    label?: string | undefined;
    layout: any;
    path: string;
    removeItem?: (path: string, value: number) => () => void;
    renderers?: JsonFormsRendererRegistryEntry[] | undefined;
    schema: JsonSchema;
    uischema: UISchemaElement;
    visible: boolean;
}
/**
 * Map state to control props.No indexOfFittingSchema found
 * @param state the store's state
 * @param ownProps any own props
 * @returns {StatePropsOfControl} state props for a control
 */
export declare const mapStateToSpectrumArrayModalItemProps: (state: JsonFormsState, ownProps: OwnPropsOfSpectrumArrayModalItem) => OwnPropsOfSpectrumArrayModalItem;
export declare const ctxToSpectrumArrayModalItemProps: (ctx: JsonFormsStateContext, ownProps: OwnPropsOfSpectrumArrayModalItem) => OwnPropsOfSpectrumArrayModalItem;
export declare const withJsonFormsSpectrumArrayModalItemProps: (Component: React.ComponentType<OwnPropsOfSpectrumArrayModalItem>) => React.ComponentType<any>;
declare const _default: React.ComponentType<any>;
export default _default;
